﻿$ErrorActionPreference = 'Stop'

$installDir  = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = 'smimesign'
  url            = 'https://github.com/github/smimesign/releases/download/0.0.11/smimesign-windows-386-0.0.11.zip'
  url64Bit       = 'https://github.com/github/smimesign/releases/download/0.0.11/smimesign-windows-amd64-0.0.11.zip'
  checksum       = '0893c35e3afbb41d37ca8cdc924bc06cb5bfa36cd2d7997a0c5c4c31c3970d01'
  checksum64     = '263ccbafc365729b5020da0527151757d531793e8ff9209020b6d104b563da28'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $installDir
}

Write-Host "Installing to '$installDir'"

Install-ChocolateyZipPackage @packageArgs
